org.apache.commons.math.distribution

## Interface BinomialDistribution

All Superinterfaces:
  DiscreteDistribution, Distribution, IntegerDistribution

All Known Implementing Classes:
  BinomialDistributionImpl

    public interface BinomialDistribution
    extends IntegerDistribution

The Binomial Distribution.

References:

- Binomial Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

### Method Summary

Methods
`int` `getNumberOfTrials()` Access the number of trials for this distribution.
`double` `getProbabilityOfSuccess()` Access the probability of success for this distribution.
`void` `setNumberOfTrials(int trials)` Deprecated. as of v2.1
`void` `setProbabilityOfSuccess(double p)` Deprecated. as of v2.1

### Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution

`cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

### Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution

`probability`

### Methods inherited from interface org.apache.commons.math.distribution.Distribution

`cumulativeProbability, cumulativeProbability`

### Method Detail

#### getNumberOfTrials

    int getNumberOfTrials()

Access the number of trials for this distribution.

Returns:
  the number of trials.

#### getProbabilityOfSuccess

    double getProbabilityOfSuccess()

Access the probability of success for this distribution.

Returns:
  the probability of success.

#### setNumberOfTrials

    @Deprecated
    void setNumberOfTrials(int trials)

Deprecated. as of v2.1
Change the number of trials for this distribution.

Parameters:
  `trials` - the new number of trials.

#### setProbabilityOfSuccess

    @Deprecated
    void setProbabilityOfSuccess(double p)

Deprecated. as of v2.1
Change the probability of success for this distribution.

Parameters:
  `p` - the new probability of success.